<?php
/**
 * @category   Alogic
 * @package    Alogic_Productregistration
 * @author     dushyantjoshia@gmail.com
 * @copyright  This file was generated by using Module Creator(http://code.vky.co.in/magento-2-module-creator/) provided by VKY <viky.031290@gmail.com>
 * @license    http://opensource.org/licenses/osl-3.0.php  Open Software License (OSL 3.0)
 */

namespace Alogic\Productregistration\Model\ResourceModel;

class Productregistration extends \Magento\Framework\Model\ResourceModel\Db\AbstractDb
{
    /**
     * Define main table
     */
    protected function _construct()
    {
        $this->_init('alogic_productregistration', 'productregistration_id');   //here "alogic_productregistration" is table name and "productregistration_id" is the primary key of custom table
    }
}